package bo.dummy.framework.api.rest;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.container.ContainerRequestContext;
import javax.ws.rs.container.ContainerResponseContext;
import javax.ws.rs.container.ContainerResponseFilter;
import javax.ws.rs.core.Context;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class DummyResponseRestFilter implements ContainerResponseFilter {

	private static final Logger LOGGER = Logger.getLogger(DummyResponseRestFilter.class.getName());
	@Context
	private HttpServletRequest request;

	@Override
	public void filter(ContainerRequestContext requestContext, ContainerResponseContext responseContext) throws IOException {
		LOGGER.log(Level.INFO, "* Response Filter for: {0}", request.getRequestURL());
		responseContext.getHeaders().add("X-Content-Type-Options", "nosniff");
		responseContext.getHeaders().add("X-Frame-Options", "DENY");
	}
}
