/**
 * ____                          _   _       _    __
 * | __ )  __ _ _ __   ___ ___   | | | |_ __ (_) _/_/ _ __
 * |  _ \ / _` | '_ \ / __/ _ \  | | | | '_ \| |/ _ \| '_ \
 * | |_) | (_| | | | | (_| (_) | | |_| | | | | | (_) | | | |
 * |____/ \__,_|_| |_|\___\___/   \___/|_| |_|_|\___/|_| |_|
 * ____                            _           ____
 * |  _ \ _ __ ___  _   _  ___  ___| |_ ___    / ___|___  _ __ ___
 * | |_) | '__/ _ \| | | |/ _ \/ __| __/ _ \  | |   / _ \| '__/ _ \
 * |  __/| | | (_) | |_| |  __/ (__| || (_) | | |__| (_) | | |  __/
 * |_|   |_|  \___/ \__, |\___|\___|\__\___/   \____\___/|_|  \___|
 * |___/
 * <p>
 * Copyright © 2017 - http://union.dev/licence.txt#yracnet
 */
package bo.dummy.framework.api.sec;

import bo.dummy.framework.api.rest.data.DummyClass;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.container.ContainerRequestContext;
import javax.ws.rs.container.ContainerRequestFilter;
import javax.ws.rs.container.ContainerResponseContext;
import javax.ws.rs.container.ContainerResponseFilter;
import javax.ws.rs.core.Context;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class DummyResponseSecFilter implements ContainerRequestFilter, ContainerResponseFilter {

	private static final Logger LOGGER = Logger.getLogger(DummyResponseSecFilter.class.getName());
	@Context
	private HttpServletRequest request;

	@Override
	public void filter(ContainerRequestContext requestContext) throws IOException {
		LOGGER.log(Level.WARNING, "+ Response Filter for: {0}", request.getRequestURL());
		DummyClass dummyClass = new DummyClass();
		dummyClass.setId(123L);
		dummyClass.setName("Name one");
		LOGGER.log(Level.WARNING, "+ DummyClass state: {0}", dummyClass);
	}

	@Override
	public void filter(ContainerRequestContext requestContext, ContainerResponseContext responseContext) throws IOException {
		LOGGER.log(Level.SEVERE, "- Response Filter for: {0}", request.getRequestURL());
		DummyClass dummyClass = new DummyClass();
		dummyClass.setId(456L);
		dummyClass.setName("Name two");
		LOGGER.log(Level.SEVERE, "- DummyClass state: {0}", dummyClass);
	}
}
